Notifly
API ReferenceSubscribers

Create a subscriber

Create a subscriber with the subscriber attributes. **subscriberId** is a required field, rest other fields are optional, if the subscriber already exists, it will be updated

POST
/v2/subscribers

Create a subscriber with the subscriber attributes. subscriberId is a required field, rest other fields are optional, if the subscriber already exists, it will be updated

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

failIfExists?boolean

If true, the request will fail if a subscriber with the same subscriberId already exists

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/subscribers" \  -H "Content-Type: application/json" \  -d '{    "subscriberId": "string"  }'
{  "data": {    "_id": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phone": "string",    "avatar": "string",    "locale": "string",    "channels": [      {        "providerId": "slack",        "integrationIdentifier": "string",        "credentials": {          "webhookUrl": "https://example.com/webhook",          "channel": "general",          "deviceTokens": [            "token1",            "token2",            "token3"          ],          "alertUid": "12345-abcde",          "title": "Critical Alert",          "imageUrl": "https://example.com/image.png",          "state": "resolved",          "externalUrl": "https://example.com/details"        },        "_integrationId": "string"      }    ],    "topics": [      "string"    ],    "isOnline": true,    "lastOnlineAt": "string",    "__v": 0,    "data": {},    "timezone": "string",    "subscriberId": "string",    "_organizationId": "string",    "_environmentId": "string",    "deleted": true,    "createdAt": "string",    "updatedAt": "string"  }}